<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
   <head>
      <title>Index page</title>
      <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
   </head>
   <body>
      <div class="container">
         <h2 align="center" class="text-danger">JavaScript <code>bind()</code> Example</h2><hr />
		 
		 <!-- bind() function -->
		 <div id="bind-info">
			 <h4 class="text-info">What is bind?</h4>
			 <ol>
				<li>Binds an object to a function.</li>
				<li>Reference it using the <code>this</code> keyword.</li>
				<li>Syntax:<pre>var binded_func = myfunc.bind(object);</pre></li>
			</ol>
		</div>
		<div>&nbsp;</div>
		
		 <!-- showing result -->
         <h5 id="result" class="text-success"></h5>
      </div>
   </body>
   <script type="text/javascript">
		let c = { x: 5, y: 10, z: 15 };
		
		function printCoordinates() {
			// console.log(this.x + ", " + this.y + ", " + this.z);
			console.log(this);
			
			// assigning the output to the html.
			document.getElementById("result").innerHTML = "Output= " + JSON.stringify(this);
		}
		
		let c_func = printCoordinates.bind(c);
		c_func();
      </script>
</html>